class bullet
{
      public:

      //Position of the bullet
      float x, y;

      //Velocity of the bullet
      float xVel, yVel;

      //Tracks when bulet was created in ticks
      long int startTime;

      //Does bullet still exist?
      int exist;

      //Whether or not object is affected by gravity
      int canBePulled;

      //Whether bullet is attracted to Asteroids
      int pulledByAsteroids;

      //Whether or not object has a gravitational pull
      int hasPull;

      //Whether bullet can be neutralized
      int killable;

      //Maximum life of the bullet in ticks
      int maxLife;

      //Amount of life left in the bullet
      float realTicksLeft;

      //Whether bullet can kill ships
      int killsShips;

      //Image used to display bullet
      SDL_Surface *image;

      //Mass of bullet
      float mass;

      //Creator of the bullet
      int ID;

      bullet();
};

bullet::bullet()
{
      image = shipBulletImage;
      exist = 1;
      mass = .01;
      startTime = SDL_GetTicks();
      canBePulled = false;
      hasPull = false;
      killable = true;
      killsShips = false;
      pulledByAsteroids = false;
}
