class configuration
{
      public:

      int screenWidth,
          screenHeight,
          screenBPP,
          sampleSize,
          sampleRate,
          keystrokeDelay,
          capFramerate,
          timeBetweenTurretCalibrations,
          playMusic,
          playSounds,
          speedMult;

          configuration();

          void load();
};

configuration::configuration()
{
      screenWidth = 800;
      screenHeight = 600;
      screenBPP = 32;
      sampleSize = 1024;
      sampleRate = 22050;
      keystrokeDelay = 150;
      capFramerate = true;
      timeBetweenTurretCalibrations = 1000;
      playMusic = true;
      playSounds = true;
      speedMult = 1;
}

int getALine( std::ifstream file )
{
      /*
      std::string myString, endString;

      int answer;

      //Pull strings from the file, ignore any that start with '#'
      do
      {
            getline( file, myString );
      }
      while ( myString[0] != '#');

      int spot = std::strchr( myString, '#' ) + 1;

      return answer;
      */
}

void configuration::load()
{
      std::ifstream settings;

      settings.open( "data/settings.txt" );

      screenWidth = 800;
      screenHeight = 600;
      screenBPP = 32;
      sampleSize = 1024;
      sampleRate = 22050;
      keystrokeDelay = 150;
      capFramerate = true;
      timeBetweenTurretCalibrations = 1000;
      playMusic = true;
      playSounds = true;
      speedMult = 1;

      settings.close();
}
