//Run the title screen, this is where everything runs from
void runTitleScreen()
{
      int quit,
          userPressingEnter,
          inMenu,
          inProgram = true,
          i;

      while ( inProgram )
      {
            quit = false;
            userPressingEnter = false;
            inMenu = true;

            //Display Caption
            SDL_WM_SetCaption( "SDL Asteroids", NULL );

            //Execute the main menu
            mainMenu();

            //If user selected one of the items in the menu (didn't hit escape to quit)
            if ( inProgram )
            {
                  //If user chose to start a game
                  if ( spotOnMainMenu == 0 )
                  {
                        //If game has not yet been configured (no players yet), create player list
                        if ( playerList.size() == 0 )
                              createPlayerList();

                        //Reset number of lives
                        for ( i = 0 ; i < playerList.size() ; i++ )
                              playerList[i].lives = 6;

                        //If user didn't press escape while choosing difficulty, play the game
                        if ( chooseDifficulty() )
                        {
                              //Create the level based on the difficulty of the level and overall difficulty
                              //createLevel( theWorld.currentLevelNumber, theWorld.overallDifficulty );

                              //Create all of the objects, including ship
                              //createObjects();

                              //Erase all events
                              eventNoticeList.clear();

                              inProgram = playGame();
                        }
                  }

                  if ( !inProgram )
                        break;

                  //If user chose to configure game
                  else if ( spotOnMainMenu == 1 )
                  {
                        configureGame();
                  }

                  //If user chose to change settings
                  else if ( spotOnMainMenu == 2 )
                  {
                        configureSettings();

                        //Create the level based on the difficulty of the level and overall difficulty
                        createLevel( theWorld.currentLevelNumber, theWorld.overallDifficulty );

                        //Create all of the objects
                        createObjects();
                  }

                  //If user chose to quit
                  else if ( spotOnMainMenu == 3 )
                        inProgram = false;
            }
      }
}
