#include "checkCollisions.h"
#include "listUpdates.h"
#include "removeDeadObjects.h"

void updateAll( )
{
      ratioMult = ( SDL_GetTicks() - updateTimer2 ) / ( 1000 / 30.0 );
      updateTimer2 = SDL_GetTicks();
      checkCollisions();
      objectListUpdate();
      bulletListUpdate();
      particleListUpdate();
      turretListUpdate();
      shipUpdate();
      eventNoticeUpdate();
      removeAllDead();
      checkBounds( true );
      if ( SDL_GetTicks() - updateTimer > realFPSUpdateInterval ) updateRealFPS();
}

void update()
{
      double totalMult = 30.0 / FRAMES_PER_SECOND;

      while ( totalMult > 0 )
      {
            if ( totalMult >= 1 )
                  speedMult = 1;
            else
                  speedMult = totalMult;

            totalMult--;

            updateAll();
      }
}
