bool areColliding( float x1, float y1, float x2, float y2, int H1, int W1, int H2, int W2 )
{
      x1 *= scaleFactorX;
      x2 *= scaleFactorX;
      y1 *= scaleFactorY;
      y2 *= scaleFactorY;

      float radius1 = ( H1 + W1 ) / 4,
            radius2 = ( H2 + W2 ) / 4,
            distance = sqrt( ( x1 - x2 ) * ( x1 - x2 ) + ( y1 - y2 ) * ( y1 - y2 ) );

      return ( distance < ( radius1 + radius2 ) );
}

float distance( float x1, float y1, float x2, float y2 )
{
      return sqrtf( ( x1 - x2 ) * ( x1 - x2 ) + ( y1 - y2 ) * ( y1 - y2 ) );
}
