class particle
{
      public:

      //Position of the particle
      float x, y;

      //Creator of the particle
      int ID;

      //Velocity of the particle
      float xVel, yVel;

      //Tracks how long particle has been alive
      long int startTime;

      //Does particle still exist?
      int exist;

      //Maximum life of the particle (in frames)
      int maxLife;

      //Frame indicator used to simulate spinning
      int frameInd;

      //Image used to display particle
      SDL_Surface *image;

      particle();
};

particle::particle()
{
      ID = -1;
      image = exaustParticleImage;
      exist = 1;
      startTime = SDL_GetTicks();
      frameInd = rand() % NUM_OF_IMAGE_FRAMES;

}
