class player
{
      public:

      //Player's score
      long int score;

      //Player's lives
      int lives;

      ship theShip;

      //The joystick that *might* be used
      SDL_Joystick *joystick;

      //Whether ship movement is currently being controlled by joystick or not
      int joystickControlsShip;

      //Number of hats on the joystick
      int joyNumOfHats;

      //Deadzone for the joystick (default 8000)
      int joystickDeadzone;

      //Fire button for the joystick
      int joystickFireButton;

      //Holds assigned controls for the keyboard
      keymap myKeymap;

      player();

      void assignJoystick( int joyNum );
};

player::player()
{
      score = 0;
      lives = 1;
      joystick = NULL;
      joystickControlsShip = false;
      joyNumOfHats = 0;
      joystickDeadzone =  8000;
      joystickFireButton = 0;
}

void player::assignJoystick( int joyNum )
{
      //If at least one joystick is present
      if ( SDL_NumJoysticks() <= joyNum + 1 )
      {
            //Attempt to open the joystick
            joystick = SDL_JoystickOpen( joyNum  );

            //If joystick opened correctly, discover number of hats for it
            if ( joystick != NULL )
                  joyNumOfHats = SDL_JoystickNumHats(joystick);
      }
}
